locked
WS2012R2 - does this support WSUS 3.0 SP2 downstream servers? RRS feed

  • Question

  • I'm thinking of upgrading our root WSUS server to a Windows 2012 R2 server with the WSUS role enabled (in order to achieve an upgrade to latest version - as W10 clients are also starting to pop up). It's not covered on the MS migration strategy but if I swap over this root server will all the pre-existing W2008/WSUS 3.0 SP2 downstream server still continue to work?

    If a simultaneous migration across to WS2012R2 is required for all WSUS servers in order to retain compatibility then this would be a real pain.

    Monday, July 25, 2016 11:16 AM

Answers

  • Hi Nick Brown NHS,

    In my lab, WSUS 2008(R2) downstream server can work well with 2012(R2) upstream server in test environment.

    As far as I'm concerned, it's better to make all downstream servers to be autonomous mode when you upgrade your upstream server, during the progress, if downstream severs need to sync new updates, you may make them sync from MU. And for long term consideration, it's better to upgrade all your WSUS servers.

    Best Regards,

    Anne


    Please remember to mark the replies as answers if they help and unmark them if they provide no help. If you have feedback for TechNet Support, contact tnmff@microsoft.com.

    Tuesday, July 26, 2016 3:00 AM

All replies

  • Hi Nick Brown NHS,

    In my lab, WSUS 2008(R2) downstream server can work well with 2012(R2) upstream server in test environment.

    As far as I'm concerned, it's better to make all downstream servers to be autonomous mode when you upgrade your upstream server, during the progress, if downstream severs need to sync new updates, you may make them sync from MU. And for long term consideration, it's better to upgrade all your WSUS servers.

    Best Regards,

    Anne


    Please remember to mark the replies as answers if they help and unmark them if they provide no help. If you have feedback for TechNet Support, contact tnmff@microsoft.com.

    Tuesday, July 26, 2016 3:00 AM
  • It does appear that there is a prerequisite WSUS version that needs to be applied in order for the W2013 server to communicate with the W2012 upstream. I have this working with a minimum of v.3.2.7600.251
    Friday, September 23, 2016 11:31 AM